Bug 51127 - FILEOPEN: .DOC file leaves blank page in middle (page 2) of four page document - per Comment 7 (also if resaved in MSO as DOCX)
Summary: FILEOPEN: .DOC file leaves blank page in middle (page 2) of four page documen...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard: BSA interoperability
Keywords: filter:doc, filter:docx
Depends on:
Blocks: DOC-Header-Footer DOCX-Section
  Show dependency treegraph
 
Reported: 2012-06-15 12:07 UTC by Jerry Heyman
Modified: 2022-10-09 19:20 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
specific document where problem described is occurring (62.50 KB, application/msword)
2012-06-15 12:07 UTC, Jerry Heyman
Details
specific .DOC compared MSO LO (200.42 KB, image/png)
2019-10-03 09:16 UTC, Timur
Details
Example file converted to docx with Word 2013 (39.55 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2020-10-08 10:56 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jerry Heyman 2012-06-15 12:07:09 UTC
Created attachment 63083 [details]
specific document where problem described is occurring

Problem description: 

Steps to reproduce:
1. open write
2. load attached .doc file
3. go to page 2 - all blank

Current behavior:

A blank page is inserted between page 1 and page 3 after loading the attached Microsoft Word document.  The exported PDF has the same blank page.  the blank page does not occur when loading into Microsoft Office 2010.

Expected behavior:

Identical to handling within MS Office 2010.  No blank page generated
when exporting to PDF.

Platform (if different from the browser): 
              
Browser: Opera/9.80 (X11; Linux x86_64; U; en) Presto/2.10.289 Version/12.00
Comment 1 bfoman (inactive) 2012-06-20 05:17:45 UTC
Confirmed with:
LO 3.5.4.2 
Build ID: own W7 debug build
Windows 7 Professional SP1 64 bit

A blank page is inserted between page 1 and page 3. The blank page does not occur when loading into Word 2010.
Comment 2 Cor Nouws 2012-11-11 20:52:38 UTC
@Jerry
I confirm the issue.
And will add the issue to bug 48741

Could you pls try to fiddle out what the source of the problem is?
Might be e.g. different rendering of space around image in header, different header/footer spaceing, ...
thanks!
Comment 3 retired 2014-05-04 12:41:06 UTC
Interesting. This still happens with 4.2.3.3 and Version: 4.3.0.0.alpha1+
Build ID: f76026a43acc65465882924796d93e635c35fd90
TinderBox: MacOSX-x86@49-TDF, Branch:master, Time: 2014-05-04_06:32:55
Comment 4 QA Administrators 2015-06-08 14:42:30 UTC Comment hidden (obsolete)
Comment 5 Buovjaga 2015-08-02 10:02:54 UTC
Confirmed.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: 902255645328efde34ddf62227c8278e8dd61ff0
TinderBox: Win-x86@39, Branch:master, Time: 2015-07-30_03:52:07
Locale: en-US (fi_FI)
Comment 6 Timur 2015-08-13 17:43:38 UTC Comment hidden (obsolete)
Comment 7 Justin L 2016-06-23 07:05:51 UTC
(In reply to Timur from comment #6)
> This is section break problem so probable duplicate of Bug 64372.

This .doc bug is not a duplicate of bug 64372.  That one is a docx import bug.

There are three (unnecessary) continuous section breaks in a row at the bottom of page1, followed by a next page break. It seems as if the amount of space that the breaks takes up is different (more) in Writer, making some text spill over to the next page. 

NOTE: "track changes - show changes" is turned on.  That doesn't seem to be affecting the bug, but it does mean that "removing unnecessary sections" won't visibly remove the extra page until you stop showing deleted content.
Comment 8 QA Administrators 2018-10-02 02:55:31 UTC Comment hidden (obsolete)
Comment 9 Timur 2018-10-02 07:53:23 UTC Comment hidden (obsolete)
Comment 10 QA Administrators 2019-10-03 02:59:35 UTC Comment hidden (obsolete)
Comment 11 Timur 2019-10-03 09:16:08 UTC
Created attachment 154724 [details]
specific .DOC compared MSO LO

Reproduced in LO 6.4+
Comment 12 NISZ LibreOffice Team 2020-10-08 10:56:27 UTC
Created attachment 166183 [details]
Example file converted to docx with Word 2013

Same problem happens in docx format too.
Comment 13 QA Administrators 2022-10-09 03:50:06 UTC
Dear Jerry Heyman,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug